Zum Hauptinhalt springen

Create a conversation

POST/v2/conversations
API-Version
v2
Request-Methode
POST
Operation-ID
conversation-create-conversation

Request​

Responses​

Format
application/json
Beschreibung
  • conversationIdstring (uuid)required
Content-Type: application/json

{
"conversationId": "f0f86186-0a5a-45b2-aa33-502777496347"
}
{
"properties": {
"conversationId": {
"format": "uuid",
"type": "string"
}
},
"required": [
"conversationId"
],
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X POST \
-d '{"categoryId":"string","mainUserId":"f0f86186-0a5a-45b2-aa33-502777496347","messageContent":"string","notificationRoles":["customer_owner"],"relatedTo":{"aggregate":"user","domain":"user","id":"string"},"sharedWith":{"aggregate":"user","domain":"user","id":"string"},"title":"string"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/conversations
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.conversation.createConversation({
"data": {
"categoryId": "string",
"mainUserId": "f0f86186-0a5a-45b2-aa33-502777496347",
"messageContent": "string",
"notificationRoles": [
"customer_owner"
],
"relatedTo": {
"aggregate": "user",
"domain": "user",
"id": "string"
},
"sharedWith": {
"aggregate": "user",
"domain": "user",
"id": "string"
},
"title": "string"
}
});

assertStatus(response, 201);

use \Mittwald\ApiClient\Generated\V2\Clients\Conversation\CreateConversation\CreateConversationRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Conversation\CreateConversation\CreateConversationRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// CreateConversationRequestBody to learn how to construct a valid instance
$body = new CreateConversationRequestBody(/* TODO: ... */);

$request = (new CreateConversationRequest(
body: $body
));
$response = $client->conversation()->createConversation($request);

var_dump($response->getBody();

Auf dieser Seite